Subject: Does kmalloc on MPC82xx work correctly with GFP_DMA?

From: Conor McLoughlin <[email-masked]>
Date: Mon, 18 Oct 2004 10:30:15 +0100

I have been looking at the ethernet device driver (fcc_enet) for the
mpc82xx platform. This allocates buffer descriptors using kmalloc with
the GFP_DMA flag. As far as I can see on my platform, this allocates
from the regular kernel memory (0xCxxxxxxx). As the attributes of this
block of memory are controlled by the block address translation
registers, this cannot be DMA safe, can it?
Is there something I am missing here?

I am using the linuxppc-2.5 tree.

Conor